Bounding Containers on ArcGIS 10.3

4034
5
Jump to solution
03-19-2015 06:36 AM
LeJord
by
New Contributor

Hi there,

When trying to run Dan Patterson's Bounding Containers (Bounding Containers) script on ArcGIS 10.3 I get the following error message:

Traceback (most recent call last):

  File "H:\...\BoundingContainers.py", line 61, in <module>

    gp, msg, passed = gpHelper.gp_toolboxes(toolboxes, gp)

  File "H:\...\gpHelper.py", line 44, in gp_toolboxes

    tbx_home = os.environ['ARCGISHOME'].replace("\\","/") + \

  File "C:\Python27\ArcGIS10.3\Lib\os.py", line 425, in __getitem__

    return self.data[key.upper()]

KeyError: 'ARCGISHOME'

Failed to execute (BoundingContainers).

I've installed the toolbox properly and keep the other scripts in the same folder as indicated in the instructions.

Anyone knows how to fix this?

Regards,

Lennart

Tags (1)
1 Solution

Accepted Solutions
DanPatterson_Retired
MVP Esteemed Contributor

That version is old...the most recent version here are some:

  1. it has only been tested up to 10.2.2
  2. It only support shapefiles since I work outside of geodatabases or networks
  3. not tested in 10.3 (let me know how it goes

View solution in original post

5 Replies
DanPatterson_Retired
MVP Esteemed Contributor

That version is old...the most recent version here are some:

  1. it has only been tested up to 10.2.2
  2. It only support shapefiles since I work outside of geodatabases or networks
  3. not tested in 10.3 (let me know how it goes

View solution in original post

LeJord
by
New Contributor

That new version works just fine in 10.3!

Thanks for the help

DanPatterson_Retired
MVP Esteemed Contributor

Thanks for testing it for me

0 Kudos
SteeveEbener
New Contributor II

Hi Dan,

Looks like we are meant to be in touch on different topics as I just discovered you are behind the bounding container tool I have been using. Thanks therefore for developing it.

I have just tested it under ArcGIS Desktop 10.4 and it is unfortunately not working. Did you per chance already develop a new version that would work under 10.4 or know someone else that would have developed it? I could not find any reference to such tool on the internet.

Thanks in advance for your answer and once more for developing this very useful tool.

Cheers,

Steeve

DanPatterson_Retired
MVP Esteemed Contributor

haven't had time.  requirements though... shapefiles in and shapefiles out ... no gdb source or destination is usually the catch for most  and it is meant to be run from the tool in the provided toolbox. Zip and email a shapefile to my profile email address if it is different and I can have a quick peak. last test was in 10.3.1

PS this is the last version http://www.arcgis.com/home/item.html?id=564e2949763943e3b9fb4240bab0ca2f  on arcscripts 2.0 beta

0 Kudos